# RPM specfile for gal module
# Generated Mon Sep 15 21:51:07 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from 

%define nam	gal
%define ver	1.99.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	libgal2.0_5
Version: 	1.99.10
Release:	0.ximian.4.1
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/tech/
Epoch:		1
Source0:	gal-1.99.10.tar.gz
BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libgnomecanvas-devel >= 2.2.0.2
BuildRequires:	libxml2-devel
BuildRequires:	bonobo-activation-devel
BuildRequires:	atk-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libgnome-devel
BuildRequires:	pango-devel
BuildRequires:	ORBit2-devel
BuildRequires:	libIDL-devel
BuildRequires:	linc-devel
BuildRequires:	libxslt-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	libbonobo-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libgnomeprint22-devel
BuildRequires:	libgnomeprintui22-devel
BuildRequires:	GConf2-devel
BuildRequires:	zlib-devel
Summary:	The GNOME Application Library
Group:		Libraries/System
Provides:	ximian-libgal2.0_5 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgal2.0-modules
Obsoletes:	libgal2.0_2
Obsoletes:	libgal2.0_1
Obsoletes:	libgal2.0_0
Obsoletes:	gal2.0
Obsoletes:	gal2-0
Obsoletes:	gal2

%description
A collection of GNOME widgets and utility functions.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog INSTALL NEWS
%dir /usr/share/gal-2.0
/usr/share/gal-2.0/1.99.10
/usr/lib/lib*.so.5*
/usr/*/locale/*/LC_MESSAGES/*.mo


%post
ldconfig

%postun
ldconfig

%package -n libgal2.0-devel
Summary:	Development files for the GNOME Applications library
Group:		Development/Libraries
Requires:	libgal2.0_5 = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	libgnomeui-devel
Requires:	libglade2-devel
Requires:	libgnomeprintui22-devel
Requires:	libxml2-devel
Provides:	ximian-libgal2.0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgal2.0-devel
Development files for the GNOME Applications library

%files -n libgal2.0-devel
%defattr(-, root, root)
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/pkgconfig/*.pc
/usr/include/*
/usr/share/gal-2.0/html


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gal-1.99.10
    ;;
all)
%setup  -q -n gal-1.99.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Sep 15 2003 Ximian, Inc.

- Version: 1:1.99.10-0.ximian.4.1
- Summary: New build.
- New automated build.

* Mon Jul 28 2003 Ximian, Inc.

- Version: 1:1.99.9-0.ximian.4.1
- Summary: New build.
- New automated build.

* Thu Jul 3 2003 Ximian, Inc.

- Version: 1:1.99.8-0.ximian.4.3
- Summary: New build.
- New automated build.

* Tue Jun 3 2003 Ximian, Inc.

- Version: 1:1.99.7-0.ximian.4.2
- Summary: New build.
- New automated build.

* Wed May 21 2003 Ximian, Inc.

- Version: 1:1.99.6-0.ximian.4.1
- Summary: New build.
- New automated build.

* Mon May 19 2003 Ximian, Inc.

- Version: 1:1.99.5-0.ximian.4.1
- Summary: New build.
- New automated build.

* Tue May 13 2003 Ximian, Inc.

- Version: 1:1.99.4-0.ximian.4.1
- Summary: New build.
- New automated build.

* Mon Apr 14 2003 Ximian, Inc.

- Version: 1:1.99.3-0.ximian.1
- Summary: New build.
- New automated build.

